# PhasicFlow: positionOrdered Class Reference

positionOrdered Class Reference
Inheritance diagram for positionOrdered:
[legend]
Collaboration diagram for positionOrdered:
[legend]

## Public Member Functions

| TypeInfo ("positionOrdered")
| positionOrdered (const dictionary &dict)
| add_vCtor (positionParticles, positionOrdered, dictionary)
virtual | ~positionOrdered ()=default
virtual label | numPoints () const
virtual label | size () const
real | maxDiameter () const override
virtual const realx3Vector & | position () const
virtual realx3Vector & | position ()
Public Member Functions inherited from positionParticles
| TypeInfo ("positionParticles")
| positionParticles (const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(const dictionary &dict),(dict))
virtual | ~positionParticles ()=default
virtual realx3Vector | getFinalPosition ()

## Protected Member Functions

bool | findAxisIndex ()
bool | positionPointsOrdered ()
Protected Member Functions inherited from positionParticles
realx3Vector | sortByMortonCode (realx3Vector &position) const

## Protected Attributes

dictionary | poDict_
real | diameter_
size_t | numPoints_
wordList | axisOrder_
realx3 | uVector1_
realx3 | uVector2_
realx3 | uVector3_
realx3Vector | position_
Protected Attributes inherited from positionParticles
uniquePtr< regionBase > | region_ = nullptr
size_t | maxNumberOfParticles_ = 10000
Logical | mortonSorting_

## Additional Inherited Members

Static Public Member Functions inherited from positionParticles
static uniquePtr< positionParticles > | create (const dictionary &dict)
Static Protected Attributes inherited from positionParticles
static const size_t | numReports_ = 40

## Detailed Description

Definition at line 30 of file positionOrdered.hpp.

## Constructor & Destructor Documentation

## positionOrdered()

positionOrdered | ( | const dictionary & | dict | ) |

Definition at line 125 of file positionOrdered.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, and dictionary::globalName().

Here is the call graph for this function:

## ~positionOrdered()

virtual ~positionOrdered | ( |  | ) |

virtualdefault

## Member Function Documentation

## findAxisIndex()

bool findAxisIndex | ( |  | ) |

protected

Definition at line 28 of file positionOrdered.cpp.

References positionOrdered::axisOrder_, pFlow::endl(), fatalErrorInFunction, List< T >::size(), positionOrdered::uVector1_, positionOrdered::uVector2_, and positionOrdered::uVector3_.

Here is the call graph for this function:

## positionPointsOrdered()

bool positionPointsOrdered | ( |  | ) |

protected

Definition at line 80 of file positionOrdered.cpp.

References dot(), fatalErrorInFunction, and n.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "positionOrdered" |  | ) |

## add_vCtor()

add_vCtor | ( | positionParticles | ,
|  | positionOrdered | ,
|  | dictionary |
| ) |  |

## numPoints()

virtual label numPoints | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 77 of file positionOrdered.hpp.

References positionOrdered::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## size()

virtual label size | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 82 of file positionOrdered.hpp.

References positionOrdered::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## maxDiameter()

real maxDiameter | ( |  | ) | const

inlineoverridevirtual

Implements positionParticles.

Definition at line 87 of file positionOrdered.hpp.

References positionOrdered::diameter_.

## position() [1/2]

virtual const realx3Vector& position | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 93 of file positionOrdered.hpp.

References positionOrdered::position_.

## position() [2/2]

virtual realx3Vector& position | ( |  | ) |

inlinevirtual

Implements positionParticles.

Definition at line 99 of file positionOrdered.hpp.

References positionOrdered::position_.

## Member Data Documentation

## poDict_

dictionary poDict_

protected

Definition at line 36 of file positionOrdered.hpp.

## diameter_

real diameter_

protected

Definition at line 38 of file positionOrdered.hpp.

Referenced by positionOrdered::maxDiameter().

## numPoints_

size_t numPoints_

protected

Definition at line 40 of file positionOrdered.hpp.

## axisOrder_

wordList axisOrder_

protected

Definition at line 42 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector1_

realx3 uVector1_

protected

Definition at line 45 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector2_

realx3 uVector2_

protected

Definition at line 48 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector3_

realx3 uVector3_

protected

Definition at line 51 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## position_

realx3Vector position_

protected

Definition at line 54 of file positionOrdered.hpp.

Referenced by positionOrdered::numPoints(), positionOrdered::position(), and positionOrdered::size().

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/positionOrdered/positionOrdered.hpp
- utilities/particlesPhasicFlow/positionOrdered/positionOrdered.cpp